#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;

    int a[2][n];

    for (int i = 0; i < n; i++) {
        a[i&1][i] = i+1;
        a[!(i&1)][i] = 2*n-i;
    }

    
    for (int i = 0; i < 2; i++) {
        for (int j = 0; j < n; j++) {
            cout << a[i][j] << " ";
        }
        cout << "\n";
    }
}